<?php
session_start();
error_reporting(0);
$role=$_SESSION['role'];
$user_name=$_SESSION['user_name'];
	if($_SESSION['user_name']==""){ 
		header('Location: index.php');
	}
	include("database_connection.php");
	 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>View:Allocation</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php //title();?>
<link type="text/css" rel="stylesheet" href="Library/css/style-menu.css"   />
<link type="text/css" rel="stylesheet" href="Library/css/style-content.css"   />
<script type="text/javascript" src="Library/js/jquery-1.3.1.min.js" > </script> 
<script type="text/javascript">

    function PrintElem(elem)
    {
        Popup($(elem).html());
    }

    function Popup(data) 
    {
        var mywindow = window.open('', 'Billing Application Dashboard', 'height=650,width=750');
        mywindow.document.write('<html><head><title>Billing Application Dashboard</title>');
        /*optional stylesheet*/ //mywindow.document.write('<link rel="stylesheet" href="main.css" type="text/css" />');
        mywindow.document.write('</head><body >');
        mywindow.document.write(data);
        mywindow.document.write('</body></html>');

        mywindow.print();
        mywindow.close();

        return true;
    }

</script>
<style>
.borderHeader{
	border:1px;
	border-style:solid;
	height:73px;
	background-color:white;
}
.centerimage{
	margin-top:20px;
}
.pagename
{
	text-align:center;
	margin-top:-60px;
	color:#8B0000;
}

.airtellogo
{
   margin-top:-60px;

}	
.center {
 text-align: center
}
td { 
	
	height:15px;
}
</style>
<link type="text/css" href="menu/menu_admin.css" rel="stylesheet" />
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<script language="JavaScript" src="newdate/calendar_us.js"></script>
  <link rel="stylesheet" href="newdate/calendar.css">


</head>
<body>
	<div class="borderHeader">
	<div align=left><img src="images/kmspl.PNG" /></div><div class="pagename"><h2>VIEW ALLOCATION</h2></div>
</div>
	<?php 
	if(($_SESSION['uniqe_id']=='S'))
	{
	include("menu/menu_superadmin.php");
	}
	elseif(($_SESSION['uniqe_id']=='A') or ($_SESSION['uniqe_id']=='T'))
	{
	include("menu/menu_admin.php");
	}
	elseif(($_SESSION['uniqe_id']=='D'))
	{
	include("menu/menu_deo.php");
	}
	elseif(($_SESSION['uniqe_id']=='X'))
	{
	include("menu/menu_scanner.php");
	}
	else
	{
	header('Location: index.php');
	}
	?>
	<form method="post" action=" " name="view_allocation" id="view_allocation">
	<?php
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='REFRESH')
	{
	$_POST['dump_date']='';	
	}
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='SEARCH')
 	{  
	$dump_date=$_POST['dump_date'];	
	}

	date_default_timezone_set('Asia/Calcutta');
	$dumpdate=date('m-d-Y');
	$sqltp="select count(id) as num from allocation_tbl where status='4' ";
	$resulttp=mysqli_query($conn,$sqltp);	
	$datatp=mysqli_fetch_array($resulttp);
	$pendingtoday=$datatp[0];
	
	$sqlsp="select count(id) as num from allocation_tbl where status='5' ";
	$resultsp=mysqli_query($conn,$sqlsp);	
	$datasp=mysqli_fetch_array($resultsp);
	$scantoday=$datasp[0];
	
	$sqlfi="select count(id) as num from allocation_tbl where report_date='$dumpdate' ";
	$resultfi=mysqli_query($conn,$sqlfi);	
	$datafi=mysqli_fetch_array($resultfi);
	$fitoday=$datafi[0];
	?>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<tr>
	<td align="center" ><b>DATE</b> &nbsp;<input type ="text" name="dump_date" value="<?php echo $_POST['dump_date'];?>" style="width:100px; height"35px;"; required />
	  <script language="JavaScript">

                        new tcal ({

                            // form name

                            'formname': 'view_allocation',

                            // input name

                            'controlname': 'dump_date'

                        });
                    </script>
		
 &nbsp;&nbsp;<input type="submit" name="txtsubmit"  value="SEARCH" id="searchbutton" > 
			<input type="submit" name="txtsubmit"  value="REFRESH" id="searchbutton"> 
			&nbsp;&nbsp;<b>Field Pending -&nbsp;<?php echo $pendingtoday;?>
			&nbsp;&nbsp;<b>Scan Pending -&nbsp;<?php echo $scantoday;?>
			&nbsp;&nbsp;<b>Field Report -&nbsp;<?php echo $fitoday;?>
</td>
	</tr>
	</table>
	</td>
	</tr>
	</table>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:50%;">
	<table  border="1" bgcolor="white" style="width:50%;" class="table table-striped" > 
	<thead>
	<tr height="25">
				<th class="center" ><b>Sr No</b></th>				
				<th class="center"><b>Allocation Time</b></th>	
				<th class="center"><b>Initiated By</b></th>	
				<th class="center"><b>NCR</b></th>	
				<th class="center"><b>National</b></th>				
				<th class="center"><b>Total</b></th>
				
			</tr>
		 </thead>
		 <tbody>
		<?php
		if($dump_date)
		{		
	$queryr="SELECT distinct(upload_time),count(id) as num,initiated_by FROM `allocation_tbl` WHERE dump_date= '$dump_date' group by upload_time order by id asc";
	$resultr = MYSQLI_QUERY($conn,$queryr);
	}	
	 $j=1;
	while($data=mysqli_fetch_array($resultr)) {
	$total +=$data['num'];
	$upload_time=$data['upload_time'];
	$sqlncr="SELECT count(allocation_tbl.id) as num FROM `allocation_tbl`,`user_tbl` WHERE allocation_tbl.upload_time='$upload_time' and allocation_tbl.dump_date='$dump_date' and allocation_tbl.user_code=user_tbl.user_code and user_tbl.zone in  ('BACKEND','CENTRAL','EAST','FARIDABAD','GHAZIABAD','GURGAON','NOIDA','NORTH','SOUTH','WEST') ";
	$resultncr=mysqli_query($conn,$sqlncr);
	$datancr=mysqli_fetch_array($resultncr);
	$ncr=$datancr[0];
	$ncrt +=$ncr;
	$national=$data['num']-$ncr;
	$nationalt +=$national;
	if($data['upload_time']>0)
	{
	$dir=$dump_date.'//'.$data['upload_time'];
	?>
<tr  height="15">
<td   align="center"><font size="2"><b><?php echo $j ;?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($data['upload_time']);?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($data['initiated_by']);?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($ncr);?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($national);?></b></font></td>
<td align="center"><font size="2"><a href="" onClick="window.open('allocationdatetime.php?id=<?php echo "$dir"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo strtoupper($data['num']);?></b></a></font></td>

</tr>
<?php
	$j++; } } ?>
<tr >
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="4"><b>Total</b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($ncrt);?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($nationalt);?></b></font></td>
<td  align="center" ><font size="4"><b><?php echo $total;?></b></font></td>
</tr>
</tbody>
 </table>
</td>
</tr>
</table>

</div>
</body>
</html>			
